Cancel/Stop a processing layer
POST
/{organization}/projects/{projectId}/layers/cancel-process
const url = 'https://app.civillo.com/api/v1/example/projects/1/layers/cancel-process?jobId=123';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://app.civillo.com/api/v1/example/projects/1/layers/cancel-process?jobId=123' \ --header 'Authorization: Bearer <token>'Cancel or stop a processing layer. This is useful when a process seems stuck.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
Query Parameters
Section titled “Query Parameters”jobId
required
integer
The processor job id
Example
123Responses
Section titled “ Responses ”Successful response
Job is already cancelled or is almost complete and can no longer be cancelled.
Unauthorized
Forbidden
Job matching id does not exist.